## com.fasterxml.jackson.core.io
Class NumberOutput

    java.lang.Object
      com.fasterxml.jackson.core.io.NumberOutput

    public final class NumberOutput

extends Object

Constructor Summary
`NumberOutput()`

Method Summary
`static int` `outputInt(int v, byte[] b, int off)`
`static int` `outputInt(int v, char[] b, int off)`
`static int` `outputLong(long v, byte[] b, int off)`
`static int` `outputLong(long v, char[] b, int off)`
`static String` `toString(double v)`
`static String` `toString(float v)`
`static String` `toString(int v)`
`static String` `toString(long v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberOutput

    public NumberOutput()

Method Detail

### outputInt

    public static int outputInt(int v,
                                char[] b,
                                int off)

  Returns:
    Offset within buffer after outputting int

### outputInt

    public static int outputInt(int v,
                                byte[] b,
                                int off)

### outputLong

    public static int outputLong(long v,
                                 char[] b,
                                 int off)

  Returns:
    Offset within buffer after outputting int

### outputLong

    public static int outputLong(long v,
                                 byte[] b,
                                 int off)

### toString

    public static String toString(int v)

### toString

    public static String toString(long v)

### toString

    public static String toString(double v)

### toString

    public static String toString(float v)

  Since:
    2.6.0

Copyright © 2008-2016 FasterXML. All Rights Reserved.